public class SymbolTableEntry {
	private int address;
	private int type;
	private int level;
	private int idclass;
	private Object special = null;

	public SymbolTableEntry(int address, int type, int level, int idclass) {
		this.address = address;
		this.type = type;
		this.level = level;
		this.idclass = idclass;
	}

	public int getAddress() { return address; }
	public int getType() { return type; }
	public int getLevel() { return level; }
	public int getIdClass() { return idclass; }

	public Object getSpecial() { return special; }
	public void setSpecial(Object special) {
		this.special = special;
	}

	public String toString() {
		return address + " " + type + " " + level + " " + idclass;
	}
}
